<html>
<head>
<title>TestNG:  Top Menu Transition Test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Top Menu Transition Test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>9/0/0</td>
</tr><tr>
<td>Started on:</td><td>Fri Oct 19 05:56:08 PDT 2018</td>
</tr>
<tr><td>Total time:</td><td>8 seconds (8728 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.accountSettingsBtnTest()'><b>accountSettingsBtnTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest<br>Parameters: {assertTextBlock2=Employer Information, assertTextBlock1=Account Settings}</td>
<td></td>
<td>0</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.activityTabTest()'><b>activityTabTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest<br>Parameters: {assertText=Care Plans}</td>
<td></td>
<td>1</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.appointmentsBtnTest()'><b>appointmentsBtnTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest<br>Parameters: {assertText=Appointments}</td>
<td></td>
<td>1</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.benefitsBtnTest()'><b>benefitsBtnTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest<br>Parameters: {assertText=My Benefits}<br/>
<a href="#Output-2108708444" onClick='toggleBox("Output-2108708444", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-2108708444" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-2108708444">
<br>Verification failure : expected [My Benefits] but found [My benefits]<br><br/>
<a target="_blank" href=Fri_Oct_19_05_56_12_PDT_2018.jpg><img src=Fri_Oct_19_05_56_12_PDT_2018.jpg height=200 width=200></img></a><br/>
<br><br/>
<br><br/>
</div>
</td>
<td></td>
<td>1</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.inboxTabTest()'><b>inboxTabTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest<br>Parameters: {assertText=Conversations}</td>
<td></td>
<td>0</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.insuranceCardBtnTest()'><b>insuranceCardBtnTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest<br>Parameters: {assertText=Insurance Card}</td>
<td></td>
<td>0</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.myCareTabTest()'><b>myCareTabTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest</td>
<td></td>
<td>1</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.myPrescriptionBtnTest()'><b>myPrescriptionBtnTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest</td>
<td></td>
<td>0</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
<tr>
<td title='com.rwhc.testCases.TopMenuTransitionTest.savedDoctorsFacilitiesBtnTest()'><b>savedDoctorsFacilitiesBtnTest</b><br>Test class: com.rwhc.testCases.TopMenuTransitionTest<br>Parameters: {assertText=My favotities}<br/>
<a href="#Output-2015261478" onClick='toggleBox("Output-2015261478", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-2015261478" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-2015261478">
<br>Verification failure : expected [My favotities] but found [My favorites]<br><br/>
<a target="_blank" href=Fri_Oct_19_05_56_16_PDT_2018.jpg><img src=Fri_Oct_19_05_56_16_PDT_2018.jpg height=200 width=200></img></a><br/>
<br><br/>
<br><br/>
</div>
</td>
<td></td>
<td>0</td>
<td>com.rwhc.testCases.TopMenuTransitionTest@75e91545</td></tr>
</table><p>
</body>
</html>